package com.fjhx.oa.entity.adjust.po;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 调薪申请
 * </p>
 *
 * @author
 * @since 2024-06-20
 */
@Getter
@Setter
@TableName("adjust_salary_apply")
public class AdjustSalaryApply extends BasePo {

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 调薪日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date adjustDate;

    /**
     * 调薪说明
     */
    private String adjustRemark;

    private Long flowId;

    private Integer status;

    /**
     * 10实习员工、20试用员工、30正式员工
     */
    private String employeeType;

    /**
     * 试用期薪资比例
     */
    private BigDecimal probationRatio;

    /**
     * 实习期薪资比例
     */
    private BigDecimal internshipRatio;

    /**
     * 计件薪资
     */
    private String perfAmount;

    /**
     * 薪资合计
     */
    private BigDecimal amount;

    /**
     * 学历
     */
    private String education;

    /**
     * 岗位
     */
    private String post;

    /**
     * 试用期
     */
    private Integer probationPeriod;

    /**
     * 入职日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date entryDate;

    /**
     * 生效日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date effectiveDate;

    /**
     * 转正日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date fullTimeDate;

    /**
     * 月休
     */
    private Integer monthRest;

    /**
     * 日工作时长
     */
    private Integer dailyHours;

    /**
     * 上午开始工作时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm")
    @JSONField(format = "HH:mm")
    private Date morningBeginTime;

    /**
     * 上午结束工作时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm")
    @JSONField(format = "HH:mm")
    private Date morningEndTime;

    /**
     * 下午开始工作时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm")
    @JSONField(format = "HH:mm")
    private Date afternoonBeginTime;

    /**
     * 下午结束工作时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm")
    @JSONField(format = "HH:mm")
    private Date afternoonEndTime;

    /**
     * 薪资结算方式 10考勤结算 20业绩/计件结算
     */
    private String settleMethod;

    /**
     * 薪资说明
     */
    private String salaryRemark;

}
